/* eslint-disable import/no-anonymous-default-export */
import React from 'react';
import { Row, Col, Carousel, Grid, Card } from 'antd';

const colc = { xs: 24, sm: 24, md: 12, lg: 12, xl: 12, xxl: 12 },
  col = { xs: 24, sm: 24, md: 10, lg: 10, xl: 10, xxl: 10 },
  cold = { xs: 24, sm: 24, md: 12, lg: 8, xl: 8, xxl: 8 },
  colds = { xs: 24, sm: 24, md: 12, lg: 8, xl: 8, xxl: 8 },
  cols = { xs: 24, sm: 24, md: 14, lg: 14, xl: 14, xxl: 14 };

export default () => {
  return (
    <div id="mesContainer">
      <img
        src={'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/fac7.jpg'}
        alt=""
        style={{ width: '100%' }}
      />
      <div>
        <h2 className="title">智能网关</h2>
      </div>
      <div className="cpjs bgjs">
        <h3>产品介绍</h3>
        <p>
          南高智能系列网关产品可应用于成型、金切、特种数控机床和自动化设备，支持多传感器接入，安全、稳定，助力企业工业互联网升级。南高智能网关是一款具备挖掘工业设备数据并接入到自主开发的云平台的智能嵌入式网络设备。它具备数据采集、协议解析、边缘计算，支持以太网，移动2G/3G/4G/5G数据传输，可满足绝大部分工业应用场景及工业设备接入。
        </p>
      </div>

      <div
        className="cpjs"
        style={{ backgroundColor: 'rgba(250, 249, 250, 1)' }}
      >
        <h3 className="center">
          <i className="animate" /> Z系列
        </h3>
        <Row gutter={66} style={{ marginTop: '2rem' }}>
          <Col {...cols}>
            <Row
              style={{
                width: '100%',
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
              }}
            >
              <Col {...col} className="centerv">
                <img
                  style={{ width: '100%', margin: 0 }}
                  src={
                    'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/Z.png'
                  }
                  alt=""
                />
              </Col>
              <Col {...cols} className="cpjs centerv">
                <h3
                  style={{
                    fontSize: '0.8rem',
                    textAlign: 'left',
                    marginLeft: 0,
                  }}
                >
                  对接能力
                </h3>
                <p style={{ fontSize: '0.6rem' }}>
                  支持西门子(含有OPCUA配件)/FANUC
                  全系列/DELEM65等系列(含有OPCUA配件)等CNC的采集。
                  <br />
                  支持三菱、西门子、施耐德、汇川、欧姆龙、产电、基恩士、松下、罗克韦尔、倍福、通用电气、安川、富士、信捷、横河、台达等网口PLC的采集。
                  <br />
                  支持定制开发TCP相关协议、支持4G传输,WIFI传输，以太传输、持内置OPCUA服务器功能、支持接入第三方IoT平台(限MQTT通道、TCP通道)、支持python脚本的边缘计算、支持看门狗程序、支持重连机制、支持断点续传功能。
                </p>
              </Col>
            </Row>
          </Col>
          <Col {...col}>
            <div
              className="centerv"
              style={{
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
                width: '100%',
                height: '100%',
              }}
            >
              <p style={{ fontSize: '0.6rem', padding: '0 2rem' }}>
                <b
                  style={{
                    fontSize: '0.8rem',
                    display: 'block',
                    marginBottom: '1rem',
                  }}
                >
                  硬件参数
                </b>
                <b>接入方式 ：</b>以太网，移动2G/3G/4G/5G <br />
                <b>CPU ：</b>1GHz,ARM Cortex-A7 <br />
                <b>存储器 ：</b>8GB eMMC，512MB DDR3
                <br />
                <b>USB端口 ：</b>1个USB host2.0接口
                <br />
                <b>传感器接口 ：</b>1个DB15接口，可接南高传感器配件
                <br />
                <b>以太网：</b> 2路10M/100M自适应端口
                <br />
                <b>适用范围 ：</b>满足数控机床和自动化设备的互联互通需求
                <br />
              </p>
            </div>
          </Col>
        </Row>
      </div>

      <div
        className="cpjs"
        style={{ backgroundColor: 'rgba(250, 249, 250, 1)' }}
      >
        <h3 className="center">
          <i className="animate" /> S系列
        </h3>
        <Row gutter={66} style={{ marginTop: '2rem' }}>
          <Col {...colc}>
            <Row
              style={{
                width: '100%',
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
              }}
            >
              <Col {...col} className="centerv">
                <img
                  style={{ width: '100%', margin: 0 }}
                  src={
                    'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/S.png'
                  }
                  alt=""
                />
              </Col>
              <Col {...cols} className="cpjs centerv">
                <h3
                  style={{
                    fontSize: '0.8rem',
                    textAlign: 'left',
                    marginLeft: 0,
                  }}
                >
                  对接能力
                </h3>
                <p style={{ fontSize: '0.6rem' }}>
                  包含Z系列基础版本的所有功能，还支持6组0-10V电压型输入传感器的采集。
                </p>
              </Col>
            </Row>
          </Col>
          <Col {...colc}>
            <div
              className="centerv"
              style={{
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
                width: '100%',
                height: '100%',
              }}
            >
              <p style={{ fontSize: '0.6rem', padding: '0 2rem' }}>
                <b
                  style={{
                    fontSize: '0.8rem',
                    display: 'block',
                    marginBottom: '1rem',
                  }}
                >
                  硬件参数
                </b>
                <b>接入方式 ：</b>以太网，移动2G/3G/4G/5G <br />
                <b>CPU ：</b>1GHz,ARM Cortex-A7 <br />
                <b>存储器 ：</b>8GB eMMC，512MB DDR3
                <br />
                <b>USB端口 ：</b>1个USB host2.0接口
                <br />
                <b>传感器接口 ：</b>6组端子、电压型(0-10V)
                <br />
                <b>以太网：</b> 2路10M/100M自适应端口
                <br />
                <b>适用范围 ：</b>
                满足连接数控机床、自动化设备，和外接传感器的需求
                <br />
              </p>
            </div>
          </Col>
        </Row>
      </div>

      <div
        className="cpjs"
        style={{ backgroundColor: 'rgba(250, 249, 250, 1)' }}
      >
        <h3 className="center">
          <i className="animate" /> C系列
        </h3>
        <Row gutter={66} style={{ marginTop: '2rem' }}>
          <Col {...colc}>
            <Row
              style={{
                width: '100%',
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
              }}
            >
              <Col {...col} className="centerv">
                <img
                  style={{ width: '100%', margin: 0 }}
                  src={
                    'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/C.png'
                  }
                  alt=""
                />
              </Col>
              <Col {...cols} className="cpjs centerv">
                <h3
                  style={{
                    fontSize: '0.8rem',
                    textAlign: 'left',
                    marginLeft: 0,
                  }}
                >
                  对接能力
                </h3>
                <p style={{ fontSize: '0.6rem' }}>
                  包含Z系列基础版本的所有功能，以外还支持施耐德、汇川、产电、
                  松下、安川、山武、富士、信捷、台达等串口PLC的采集。
                </p>
              </Col>
            </Row>
          </Col>
          <Col {...colc}>
            <div
              className="centerv"
              style={{
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
                width: '100%',
                height: '100%',
              }}
            >
              <p style={{ fontSize: '0.6rem', padding: '0 2rem' }}>
                <b
                  style={{
                    fontSize: '0.8rem',
                    display: 'block',
                    marginBottom: '1rem',
                  }}
                >
                  硬件参数
                </b>
                <b>接入方式 ：</b>以太网，移动2G/3G/4G/5G <br />
                <b>CPU ：</b>1GHz,ARM Cortex-A7 <br />
                <b>存储器 ：</b>8GB eMMC，512MB DDR3
                <br />
                <b>USB端口 ：</b>1个USB host2.0接口
                <br />
                <b>串口接口 ：</b> 1路 RS485 1路RS232
                <br />
                <b>以太网：</b> 2路10M/100M自适应端口
                <br />
                <b>适用范围 ：</b>满足连接网口以及串口数控机床、自动化设备
                <br />
              </p>
            </div>
          </Col>
        </Row>
      </div>
    </div>
  );
};
