/* eslint-disable import/no-anonymous-default-export */
import React from 'react';
import { Row, Col } from 'antd';
import './index.css';

const col = { xs: 24, sm: 24, md: 24, lg: 11, xl: 11, xxl: 11 },
  colc = { xs: 24, sm: 24, md: 24, lg: 12, xl: 12, xxl: 12 },
  cols = { xs: 0, sm: 0, md: 0, lg: 2, xl: 2, xxl: 2 };

export default () => {
  return (
    <div id="mesContainer">
      <img
        src={'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/fac3.jpg'}
        alt=""
        style={{ width: '100%' }}
      />
      <div className="content">
        <h2 className="title">EMS设备运维管理系统</h2>
      </div>
      <div className="cpjs bgjs">
        <h3>系统介绍</h3>
        <p>
          南高设备管理系统(EMS)
          围绕资产管理、运行管理、维修管理、维保管理、点检管理、备件管理、统计报表等各个环节，提供针对设备的台账盘点、现场点检、巡检、维修、保养、转移、报废等设备全生命周期跟踪管理。设备管理系统提供了移动端的设备故障报修，实施简单快捷，可以提高现场维修效率，降低故障维修时间。设备管理系统以设备维护及远程移动端报修为核心，帮助企业实现设备的信息化管理，提升设备综合效率。设备管理系统提供公有云、私有云两种部署方式，可以为企业提供定制化开发服务。投入少、见效快，可适用于各类企业。{' '}
        </p>
      </div>
      <div className="cpjs">
        <h3>业务框架</h3>
        <img
          src={'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/kj.jpg'}
          alt=""
        />
      </div>
      <div className="cpjs">
        <h3>应用案例</h3>
        <Row>
          <Col {...col} className="spread imglimit">
            <img
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/case1.png'
              }
              alt=""
            />
            <div className="anli-text-left">
              <h4>家电行业</h4>
              <p>为多家彩电、冰箱、空调、洗衣机制造企业提供了设备管理系统。</p>
            </div>
          </Col>
          <Col {...cols}>
            <div
              style={{
                height: '100%',
                width: '100%',
                background: `url(${'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/group.png'}) no-repeat`,
                backgroundSize: '20% auto',
                backgroundPosition: 'center 120px ',
              }}
            ></div>
          </Col>
          <Col {...col} className="spread imglimit">
            <div className="anli-text-right">
              <h4>半导体行业</h4>
              <p>为多家晶圆制造、芯片封装企业提供了设备管理系统。</p>
            </div>
            <img
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/case2.png'
              }
              alt=""
            />
          </Col>

          <Col {...col} className="spread imglimit">
            <img
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/case3.png'
              }
              alt=""
            />
            <div className="anli-text-left">
              <h4>食品行业</h4>
              <p>为多家食品、饮料、食品耗材加工企业提供了设备管理系统。</p>
            </div>
          </Col>
          <Col {...cols}>
            <div
              style={{
                height: '100%',
                width: '100%',
                background: `url(https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/group.png) no-repeat`,
                backgroundSize: '20% auto',
                backgroundPosition: 'center -120px ',
              }}
            ></div>
          </Col>
          <Col {...col} className="spread imglimit">
            <div className="anli-text-right">
              <h4>机械制造行业</h4>
              <p>
                为多家交通设备、机器人、数控机床、包装设备制造企业提供了设备管理系统。
              </p>
            </div>
            <img
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/case4.png'
              }
              alt=""
            />
          </Col>
        </Row>
      </div>
      <div className="content" style={{ padding: '2rem' }}>
        <h2 className="title">应用效益</h2>
        <Row>
          <Col {...colc}>
            <img
              style={{ width: '100%', display: 'block', margin: '0 auto' }}
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/worth.jpg'
              }
              alt=""
            />
          </Col>
          <Col {...colc}>
            <div className="khjz-text">
              <p>
                根据备品备件领用及使用记录信息，优化备品备件库存、降低备件库存资金积压。
              </p>
              <p>
                通过设备维保智能分析，为企业提供管理决策依据，减少故障发生率，缩短停机时间。
              </p>
              <p>
                以精益TPM理念为指导，实现管理决策、资产管理、设备运维、知识库等四大维度的管理。
              </p>
              <p>
                快速定位故障设备及故障类型，缩短维修派单时间与维修工准备时间，实现维修过程透明化、数字化，提升维修管理效率，减少非计划停机时间。
              </p>
              <p>
                通过一机一码，在PC、移动端多种应用上实现收集、记录、上报信息，自动生成各种分析报表，实现设备运维管理、人员绩效考核及产线效能分析等的无纸化办公、高效化管理。
              </p>
            </div>
          </Col>
        </Row>
      </div>
      <div className="content">
        <h2 className="title">功能模块</h2>
        <img
          style={{ display: 'block', width: '66vw', margin: '0 auto' }}
          src={
            'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/module.jpg'
          }
          alt=""
        />
      </div>
      <div
        style={{
          background: `url(https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/baces.png) no-repeat center`,
          backgroundSize: 'cover',
          padding: '3.6rem',
          marginTop: '3.5rem',
          display: 'flex',
          flexDirection: 'column',
          justifyContent: 'center',
          alignItems: 'center',
        }}
      >
        <h3 style={{ color: '#fff', fontSize: '1.2rem' }}>
          帮助企业实现设备的全面信息化管理，提升设备综合效率
        </h3>
        <div
          onClick={() => {
            window.open('http://www.nangaoyun.com/');
          }}
          style={{
            backgroundColor: 'rgba(255,255,255,0.2)',
            cursor: 'pointer',
            padding: '1rem',
            fontSize: '0.8rem',
            marginTop: '1rem',
            borderRadius: 6,
            color: '#ffffff',
          }}
        >
          欢迎使用 - 南高设备管理云平台
        </div>
      </div>
    </div>
  );
};
