/* eslint-disable import/no-anonymous-default-export */
import React from 'react';
import { Row, Col, Carousel } from 'antd';
import './index.css';

const col = { xs: 24, sm: 24, md: 24, lg: 11, xl: 11, xxl: 11 },
  colc = { xs: 24, sm: 24, md: 24, lg: 12, xl: 12, xxl: 12 },
  cols = { xs: 0, sm: 0, md: 0, lg: 2, xl: 2, xxl: 2 };

export default () => {
  return (
    <div id="mesContainer">
      <img
        src={'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/fac4.jpg'}
        alt=""
        style={{ width: '100%' }}
      />
      <div className="content">
        <h2 className="title">IoT数据采集系统</h2>
      </div>
      <div className="cpjs bgjs">
        <h3>系统介绍</h3>
        <p>
          南高IoT数据采集系统通过组合各种物联网硬件,可以对设备开关、模拟量数据进行采集,通过配置传感器,还可以实现对设备温度、震动及环境湿度等多种数据进行采集；通过配套平台—南高工业互联网平台,用户既可以在工控机上实现数据监测和设备控制,也可以通过手机、平板等联网终端进行远程监控。{' '}
        </p>
      </div>
      <div className="ywkj cpjs">
        <h3>适用范围</h3>
        <span
          style={{ textAlign: 'center', marginBottom: 16, fontSize: '0.8rem' }}
        >
          南高IoT数据采集系统多种数据采集及设备控制功能适用于工业制造业的各个环节。
        </span>
        <div>
          <div>
            <div className="syfw-leftcontent">
              通过直接连接设备或部署传感器,实现工业制造业检测环节的环境信息、设备信息的检测；
            </div>
            <div className="syfw-rightcontent">
              通过直接连接或通过PLC设备,在工业制造业的控制环节中实现各种设备的操控；
            </div>
          </div>
          <div>
            <div className="syfw-leftcontent">
              通过连接RFID或其他硬件,实现工业制造业中各种产品、步骤的辨识；
            </div>
            <div className="syfw-rightcontent">
              通过监测信息的分析,实现工业制造业中的产品、设备诊断等。
            </div>
          </div>
        </div>
      </div>
      <div className="cpjs bgjs">
        <h3>软件平台—南高工业互联网平台</h3>
        <p style={{ textAlign: 'center' }}>
          南高工业互联网平台是集工业数据采集、安全接入、计算、存储、服务、开发于一体，为工业企业数字化转型、生产管控、流程优化、智能制造提供服务。我们的目标是提供成熟的公有云或私有云服务，实现物联网设备的快速接入联网，新产品的快速开发、管理和扩展。
        </p>
      </div>
      <Row style={{ margin: '2rem 0' }}>
        <Col {...colc} className="center">
          <div className="cpjs bgjs">
            <h3>平台数据流</h3>
            <p>以数据为核心构造面向数字化工厂的物联网平台。</p>
          </div>
        </Col>
        <Col {...colc}>
          <img
            style={{ width: '100%' }}
            src={
              'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/dataliu.png'
            }
            alt=""
          />
        </Col>
      </Row>

      <Row style={{ margin: '2rem 0' }}>
        <Col {...colc}>
          <img
            style={{ width: '100%' }}
            src={
              'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/qudongdata.png'
            }
            alt=""
          />
        </Col>
        <Col {...colc} className="center bgjs">
          <div
            style={{
              width: '100%',
              height: '100%',
              overflow: 'hidden',
              paddingTop: '2rem',
            }}
          >
            <Carousel
              autoplay
              dots={{
                className: 'diydotc',
              }}
            >
              <div>
                <div className="cpjs" style={{ width: '100%' }}>
                  <h3>打造数据驱动的智能企业</h3>
                  <p>
                    OneData：所有数据只加工一次，目标是构建统一的数据规范标准，让数据成为一种资产，而不是成本。资产和成本的差别在于资产是可以沉淀的，是可以被复用的。
                  </p>
                </div>
              </div>
              <div>
                <div className="cpjs" style={{ width: '100%' }}>
                  <h3>打造数据驱动的智能企业</h3>
                  <p>
                    OneService：数据即服务，强调数据中台中的数据通过 API
                    接口的方式被访问。{' '}
                  </p>
                </div>
              </div>
            </Carousel>
          </div>
        </Col>
      </Row>
    </div>
  );
};
