/* eslint-disable import/no-anonymous-default-export */
import React from 'react';
import { Row, Col, Carousel, Grid } from 'antd';

const colc = { xs: 12, sm: 12, md: 8, lg: 8, xl: 4, xxl: 4 },
  col = { xs: 0, sm: 0, md: 10, lg: 10, xl: 10, xxl: 10 },
  cold = { xs: 24, sm: 24, md: 12, lg: 8, xl: 8, xxl: 8 },
  cols = { xs: 24, sm: 24, md: 14, lg: 14, xl: 14, xxl: 14 };

const qsarr = [
    {
      title: '系列产品',
      desc: '技术中心设计和生产过的各系列产品缺乏平台支撑，缺乏统一规范管理产品库信息的工具。技术中心的公共零部件库管理难度大，各系列的产品零部件标准化程度低、设计重用率低。',
    },
    {
      title: '数据关联',
      desc: '产品技术资料关联性和齐套性管理越来越困难，查找零部件相关联的文件效率低，设计变更时难管控产生的影响范围，难以确保相关联的变更资料都能同步更新升级。',
    },
    {
      title: '借用管理',
      desc: '产品数据越来越多，不同产品之间的零部件相互借用频繁，管理和维护借用关系难度越来越大。',
    },
    {
      title: '零部件认证',
      desc: '产品的新零部件缺乏工具评估分析及认证，容易出现重复的零部件及图纸，容易造成一物多码及增加库存积压。',
    },
    {
      title: '数据流转',
      desc: '设计产品后需要手工编制和维护BOM表、采购报表等等，工作量大效率低且容易出错，设计人员出BOM表后需要再次在ERP手工创建BOM物料信息，重复工作。',
    },
    {
      title: '积累沉淀',
      desc: '缺乏有利于核心技术成果的收集汇总、协同分享、学习交流的大数据平台，这不仅可以提高技术团队的产品创新能力，更成为了企业生存和发展的关键要素。',
    },
  ],
  funcarr = [
    {
      title: '产品结构管理',
      desc: '先进的产品树状结构化管理，产品、零部件结构科学清晰；二维、三维、工艺等数据信息围绕零部件结构进行组织，多视图展示产品节点信息；可以从二维、三维 CAD 图纸提取相关信息生成产品结构树，自动生成零部件明细；',
    },
    {
      title: '模板管理',
      desc: '自定义各类工作流程模板，建立企业标准的工作流程模板库； 新建数据时，直接套用模板，保障数据的时效性和规范性；创建工作流程时，可以直接引用工作流程模板，启动企业定义好的工作流程。',
    },
    {
      title: '消息提醒',
      desc: '为了更好地实现工作的协同和管理， PDM 还集成了实用的邮件系统，即时消息和个人工作计划管理的功能。邮件和消息这些实用功能让用户之间工作协同更加及时方便，首页的工作计划提醒让用户不会遗忘任何一项工作。',
    },
    {
      title: '编码管理',
      desc: '系统自定义任何规则的编码器，任何有编码的地方实现轻松编码；编码可以自动关联编码器生成或手动生成，准确唯一，编码再无烦恼； 根据编码进行各种查询：模糊查询、精确查询和导航查询。',
    },
    {
      title: '流程管理',
      desc: '强大的工作流程管理，提高工作效率；系统为用户提供方便、直观的流程定义工具，管理人员根据企业流程定义不同类型的工作流程模板，如审核、 ECR/ECN 、发布、分发等流程。',
    },
    {
      title: '权限管理',
      desc: '完善、严密的权限控制和数据维护等安全机制；维护数据的安全是 PDM 最重要的功能之一，多重安全机制确保数据的安全，也使得“正确的人做正确的操作”；系统自动对数据进行加密，脱离 PDM 系统后，用户无法打开图纸和文档，加密具有独享性。',
    },
    {
      title: '零部件管理',
      desc: '建立企业零部件库及产品资料库，实现知识积累；通过对企业零部件库及产品资料库的管理维护，倡导组件化、模块化设计，提高产品设计重用，减少零部件种类；方便的产品选配功能，快速搭建新产品。',
    },
    {
      title: '系统集成',
      desc: '与 CAD 系统、 ERP 系统、各种办公软件轻松集成；PDM 系统通过功能强大的图形浏览器，可以浏览 200 多种文件格式的文件；审批流程中，主管可以对图纸进行圈红批阅等。',
    },
    {
      title: '工艺管理',
      desc: 'PDM中的工艺设计管理实现企业全局的工艺规划，帮助开发产品零部件合理的工艺路线，安排高质量的生产工艺。为工艺设计者创造一个与产品设计数据共享一致数据源的关联设计环境，工艺设计人员可以很方便地引用和参考产品开发部门设计的BOM、图纸等。',
    },
    {
      title: 'BOM管理',
      desc: '系统自动生成产品零部件明细表、产品材料明细表；自动生成各类分类 BOM 表：标准件 / 外购 / 外协 / 自制 / 借用汇总表；用户自定义 BOM 格式和内容；通过工作协同工具，各类 BOM 表快速流转至需求部门。',
    },
    {
      title: '数据检索',
      desc: '方便的数据检索和定位功能；强大的搜索引擎功能把产品研发过程中的人和物等对象类型在任何需要的地方都能筛选出来；用户再不用“满世界”找资料了；查询条件可以保存起来，方便下次再利用；对于查询结果可以直接浏览属性、以及生命周期管理等有关操作等。',
    },
  ],
  lastarr = [
    {
      title: '先进的技术框架',
      desc: '三层体系结构，面向对象的技术和组件化的组织形式。采用继承、封装和多态三个特性设计系统。',
    },

    {
      title: '基于大型数据库、支持海量用户和存储',
      desc: '采用SQL数据库，将所有信息数据以文件的方式存储于电子仓库中，并经过加密处理。',
    },
    {
      title: '强大的客户化技术',
      desc: '先进的管理理念，支持并行工程与协同工作的研发管理体系，全面提升企业研发管理水平。支持个性化的定制开发，为企业定制工作流程、项目管理方式、编码规则等，增加系统的柔性。',
    },
    {
      title: '广泛的系统集成技术',
      desc: '与CAD/CAPP/ERP/MES/CRM/SRM/OA等系统无缝集成，将各系统中的共同信息提取出来，实现各个系统在数据级上的集成，保证数据一次性输入，多次重用。',
    },
    {
      title: '七层数据安全体系全面管理企业知识财产',
      desc: '多层安全控制机制，细致、周密地保护企业知识财富的绝对安全。实现全企业核心数据的“集中管理”、“权限控制”、“流程管控”、“操作追踪”等多重安全特性，令企业管理者高枕无忧！',
    },
  ];

export default () => {
  return (
    <div id="mesContainer">
      <img
        src={'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/fac6.jpg'}
        alt=""
        style={{ width: '100%' }}
      />
      <div>
        <h2 className="title">PDM产品数据管理</h2>
      </div>
      <div className="cpjs bgjs">
        <h3>系统介绍</h3>
        <p>
          PDM依托中国领先的产品技术及解决方案，有机的把产品生命周期相关的数据和业务整合起来，为企业提供了一整套全方位的数字化产品生命周期管理平台。通过图文档管理、物料管理、产品管理、流程管理、协同办公等系统功能，支持从概念创意、设计、工艺、样机制作、生产制造、销售、维护到报废产品全生命周期各个阶段的信息创建、协同、应用和管理。{' '}
        </p>
      </div>

      <div className="cpjs">
        <h3>解决问题</h3>
        <Row gutter={36}>
          {qsarr.map((it, i) => {
            return (
              <Col {...colc} key={i}>
                <div className="itemqs">
                  <img
                    src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/qs${
                      i + 1
                    }.png`}
                    alt=""
                  />
                  <h2>{it?.title}</h2>
                  <p>{it?.desc}</p>
                </div>
              </Col>
            );
          })}
        </Row>
      </div>

      <div
        className="cpjs bgjs"
        style={{
          paddingLeft: 0,
          paddingRight: 0,
          width: '100%',
          overflow: 'hidden',
        }}
      >
        <h3>产品功能</h3>
        <Row style={{ marginTop: '2rem' }} gutter={88}>
          <Col {...col}>
            <img
              style={{ width: '100%' }}
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/fav.png'
              }
              alt=""
            />
          </Col>
          <Col {...cols}>
            <div className="newspaper">
              {funcarr.map((it, i) => {
                return (
                  <div>
                    <h2>{it.title}</h2>
                    <p>{it.desc}</p>
                  </div>
                );
              })}
            </div>
          </Col>
        </Row>
      </div>

      <div
        className="cpjs"
        style={{
          paddingLeft: 0,
          paddingRight: 0,
          width: '100%',
          overflow: 'hidden',
        }}
      >
        <h3>产品优势</h3>
        <Row style={{ marginTop: '2rem' }} gutter={88}>
          <Col {...cols}>
            <div className="newspapers">
              {lastarr.map((it, i) => {
                return (
                  <div>
                    <h2>{it.title}</h2>
                    <p>{it.desc}</p>
                  </div>
                );
              })}
            </div>
          </Col>
          <Col {...col}>
            <img
              style={{ width: '100%' }}
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/advs.png'
              }
              alt=""
            />
          </Col>
        </Row>
      </div>
    </div>
  );
};
