/* eslint-disable import/no-anonymous-default-export */
import React from 'react';
import { Row, Col, Carousel, Grid, Card } from 'antd';

const colc = { xs: 24, sm: 24, md: 12, lg: 12, xl: 12, xxl: 12 },
  col = { xs: 24, sm: 24, md: 10, lg: 10, xl: 10, xxl: 10 },
  cold = { xs: 24, sm: 24, md: 0, lg: 0, xl: 0, xxl: 0 },
  colds = { xs: 0, sm: 0, md: 0, lg: 2, xl: 2, xxl: 2 },
  coldc = { xs: 24, sm: 24, md: 12, lg: 4, xl: 4, xxl: 4 },
  cols = { xs: 24, sm: 24, md: 14, lg: 14, xl: 14, xxl: 14 };

const qsarr = [
  {
    title: '流程全生命周期管理',
    desc: '提供流程的全生命周期管理，包含流程设计、运行、监控、告警、分析、优化，全面掌握流程的运行情况。',
  },
  {
    title: '支持多租户',
    desc: '支持多租户部署模式，工作流程服务划分为从多个租户管理，同一个数据库层面实现数据逻辑隔离。',
  },
  {
    title: '集成方便',
    desc: '提供标准轨范的API接口，支持统一登陆，零代码无缝集成组织架构用户等，实现与各个业务系统的快速集成，解决业务系统确实流程引擎的问题。',
  },
  {
    title: '可视化流程工具',
    desc: '提供可视化Web流程设计工具，配置界面简洁，通过鼠标操作即可轻松实现流程绘制、路由规则和节点属性规则配置。支持流程查看预览可视化，流程修改可视化。',
  },
  {
    title: '推进型引擎',
    desc: '支持流程模板/实例采用网状活动结构，可根据业务自由组合。支持子流程实例，实现流程实例的嵌套。',
  },
];

export default () => {
  return (
    <div id="mesContainer">
      <img
        src={'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/fac8.jpg'}
        alt=""
        style={{ width: '100%' }}
      />
      <div>
        <h2 className="title">南高工业互联网平台</h2>
      </div>
      <div className="cpjs bgjs">
        <h3>方案介绍</h3>
        <p>
          通过连接企业各类设备，获取设备状态、工艺参数、质量检测等实时数据，提供工业互联网和数字工厂解决方案，实现设备健康管理，产品质量预测，企业能耗分析，提升设备使用效率，改进产品生产质量，提高企业经济效益。在工业制造的全生命周期，获取从产品设计到服务使用的全部数据，提取数据蕴含的关键信息，最终达到智能决策的目的。在核心体系互联透明的基础上，外延到工厂外进行更多的数据连接与整合，为生产加工过程提供跨流程的优化与运营决策支撑。
        </p>
      </div>

      <div className="cpjs">
        <h3 className="center">互联技术</h3>
        <Row gutter={66} style={{ marginTop: '2rem' }}>
          <Col {...cols}>
            <img
              style={{ width: '100%', margin: 0 }}
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/pt1.png'
              }
              alt=""
            />
          </Col>
          <Col {...cold}>
            <div style={{ height: '2rem' }}></div>
          </Col>
          <Col {...col}>
            <div
              className="centerv"
              style={{
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
                width: '100%',
                height: '100%',
              }}
            >
              <p style={{ fontSize: '0.6rem', padding: '0 2rem' }}>
                <b
                  style={{
                    fontSize: '0.8rem',
                    display: 'block',
                    marginBottom: '1rem',
                  }}
                >
                  技术优势
                </b>
                <b
                  style={{
                    display: 'block',
                  }}
                >
                  技术特点：
                </b>
                基于工业网络，通过有线、WIFI、4G、5G等方式接入设备，将数据信息通过核心交换机上传到IoT平台，通过PC、移动端、监控大屏等方式进行信息呈现
                <br />
                <b
                  style={{
                    display: 'block',
                    marginTop: 18,
                  }}
                >
                  高效、安全的设备接入与管理：
                </b>
                南高云支持多种接入协议，并提供一机一密、双向证书、通道加密等多重安全防护，简化设备接入与管理
                <br />
                <b
                  style={{
                    display: 'block',
                    marginTop: 18,
                  }}
                >
                  支持多种类型装备：
                </b>
                基于工业云平台架构，支持多种类型装备数据采集，统一数据采集服务平台，支持海量设备接入
                <br />
              </p>
            </div>
          </Col>
        </Row>
      </div>

      <div
        className="cpjs"
        style={{ backgroundColor: 'rgba(250, 249, 250, 1)' }}
      >
        <h3 className="center">核心框架</h3>
        <Row gutter={66} style={{ marginTop: '2rem' }}>
          <Col {...colc}>
            <img
              style={{ width: '100%', margin: '0 0 0 0' }}
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/kuangjia.png'
              }
              alt=""
            />
          </Col>
          <Col {...cold}>
            <div style={{ height: '2rem' }}></div>
          </Col>
          <Col {...colc}>
            <div
              className="centerv"
              style={{
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
                width: '100%',
                height: '100%',
              }}
            >
              <p
                style={{ fontSize: '0.8rem', padding: '2rem' }}
                className="fot"
              >
                <span>
                  与设备互联互通，打通企业内部数据流、业务流、管理流，实现信息透明化
                </span>
                <span>
                  支持大数据存储，支持大数据的应用分析基于大数据分析算法，对设备进行实时检测、备件寿命预测等
                </span>
                <span>
                  围绕设备数据采集的信息，实现设备远程运维、远程监控、实时分析等应用
                </span>
                <span>
                  业务模块微服务化，简化代码的复杂度SAAS架构，实现多租户下数据和权限的隔离
                </span>
                <span>容器化部署，实现跨平台部署，简化部署操作</span>
                <span>基于微服务架构实现对服务的性能监控和告警</span>
              </p>
            </div>
          </Col>
        </Row>
      </div>

      <div
        className="cpjs"
        style={{ backgroundColor: 'rgba(250, 249, 250, 1)' }}
      >
        <h3 className="center">产品特点</h3>
        <Row gutter={36} style={{ marginTop: '2rem' }}>
          <Col {...colds}></Col>
          {qsarr.map((it, i) => {
            return (
              <Col
                {...coldc}
                className="fot"
                style={{
                  marginBottom: 36,
                }}
              >
                <div
                  className="centerv"
                  style={{
                    borderRadius: '1rem',
                    backgroundColor: '#FFFFFF',
                    width: '100%',
                    height: '100%',
                    justifyContent: 'flex-start',
                  }}
                >
                  <img
                    style={{ width: '36%', minWidth: 'auto', maxWidth: 100 }}
                    src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/td${
                      i + 1
                    }.png`}
                    alt=""
                  />
                  <h4>{it.title}</h4>
                  <p>{it.desc}</p>
                </div>
              </Col>
            );
          })}
          <Col {...colds}></Col>
        </Row>
      </div>

      <div className="cpjs">
        <h3 className="center">南高工业物联网平台SAAS 应用</h3>
        <Row gutter={66} style={{ marginTop: '2rem' }}>
          <Col {...colc}>
            <img
              style={{ width: '100%', margin: 0 }}
              src={
                'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/application.png'
              }
              alt=""
            />
          </Col>
          <Col {...cold}>
            <div style={{ height: '2rem' }}></div>
          </Col>
          <Col {...colc}>
            <div
              className="centerv"
              style={{
                borderRadius: '1rem',
                backgroundColor: '#FFFFFF',
                width: '100%',
                height: '100%',
                lineHeight: 2.5,
              }}
            >
              <p style={{ fontSize: '0.6rem', padding: '0 2rem' }}>
                <b
                  style={{
                    fontSize: '0.8rem',
                    display: 'block',
                    marginBottom: '1rem',
                  }}
                >
                  业务覆盖
                </b>
                通过设备互联，实现设备实时数据采集，提供工厂设备稼动率、MTTR、MTBF等设备运行效率分析报告。
                <br />
                基于设备实时故障信号，提供设备故障的实时诊断与快速维修，保证生产计划的执行。
                <br />
                基于设备实时状态数据，提供设备实时监控、远程诊断、故障预测、健康管理等服务。
                <br />
                基于设备和产品的实时数据，提供产品故障原因分析工具，实现产品质量提升。
                <br />
                基于设备连接，提供数控程序自动编程、远程下载服务。
                <br />
                根据设备和产品模型，提供设备误差补偿服务，提高产品质量。
              </p>
            </div>
          </Col>
        </Row>
      </div>

      <div className="cpjs">
        <h3 className="center">南高工业物联网解决实施案例</h3>
        <img
          src={
            'https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/casese.png'
          }
          alt=""
        />
      </div>
    </div>
  );
};
