import React, { useState, useEffect } from 'react';
import { Row, Col, Image, Pagination, Card, Tag, Grid } from 'antd';
import styles from './index.less';

const col = { xs: 24, sm: 24, md: 12, lg: 12, xl: 12, xxl: 12 };

function Together() {
  return (
    <div className="container">
      <img
        src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/backs.jpg`}
        alt=""
        style={{ width: '100%' }}
      />
      <Row className="center" style={{ marginTop: '2rem' }}>
        <Col
          {...col}
          style={{
            backgroundImage: `url(https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/lefts.jpg)`,
            height: '100%',
          }}
          className="img"
        >
          <img
            style={{ height: '100%', opacity: 0 }}
            src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/lefts.jpg`}
            alt=""
          />
        </Col>
        <Col {...col} className={styles.compare}>
          <h2>生态合作</h2>
          <p>
            根据客户需求为其提供量身定制的产品和服务，通过“政、用、产、学、研”与客户建立长期合作的战略伙伴关系。
          </p>
          <div className="centerl">
            <div>
              <img
                src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/zl.png`}
                alt=""
              />
              <h2>战略伙伴权益</h2>
              <p>
                <span>市场营销</span>
                <span>技术赋能</span>
              </p>
              <p>
                <span>政策分析</span>
                <span>融合生态</span>
              </p>
            </div>
            <div>
              <img
                src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/zl2.png`}
                alt=""
              />
              <h2>战略合作类型</h2>
              <p>
                <span>系统集成类</span>
                <span>技术攻关类</span>
              </p>
              <p>
                <span>联合申报类</span>
                <span>人才培养类</span>
              </p>
            </div>
          </div>
        </Col>
      </Row>
      <Row className="center" style={{ marginTop: '2rem' }}>
        <Col {...col} className={styles.compare}>
          <h2>行业组织</h2>
          <p>
            作为“江苏省智能装备产业联盟”和“南京市智能制造装备产业促进会”的秘书长单位，南高智能一直积极地推动并联合与产业相关的政府部门、科研院所、优秀企业代表等，致力于建立真正全连接的产业生态，将拥有智能制造共同理念的参与者联合起来，成为未来整个智能制造产业生态建设的驱动者和践行者。
          </p>
          <div className="centerl">
            <Card
              hoverable
              onClick={() => {
                window.open('http://www.jsiea.com/');
              }}
            >
              <img
                src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/icon1.png`}
                alt=""
              />
              <span style={{ fontSize: '0.6rem', marginTop: 12 }}>
                江苏省智能装备产业联盟
              </span>
            </Card>
            <Card
              hoverable
              onClick={() => {
                window.open('http://njime.cn/');
              }}
            >
              <img
                src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/icon2.png`}
                alt=""
              />
              <span style={{ fontSize: '0.6rem', marginTop: 12 }}>
                南京市智能制造装备产业促进会
              </span>
            </Card>
          </div>
        </Col>
        <Col
          {...col}
          style={{
            backgroundImage: `url(${`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/org.jpg`})`,
            height: '100%',
          }}
          className="img"
        >
          <img
            style={{ height: '100%', opacity: 0 }}
            src={`https://ng-website.oss-cn-hangzhou.aliyuncs.com/assets/lefts.jpg`}
            alt=""
          />
        </Col>
      </Row>
    </div>
  );
}

export default Together;
